Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian
Class MondrianMemento

    java.lang.Object
      com.tonbeller.jpivot.olap.query.Memento
          com.tonbeller.jpivot.mondrian.MondrianMemento

All Implemented Interfaces:
  java.io.Serializable

    public class MondrianMemento

extends Memento
implements java.io.Serializable

Java Bean object to hold the state of a Mondrian MDX session. Contains parts of MondrianModel and subordinate objects.

See Also:
  Serialized Form

Constructor Summary
`MondrianMemento()`

Method Summary
`java.lang.String` | `getConnectString()` Get connectString.
`java.lang.String` | `getJdbcDriver()` Get jdbcDriver.
`int` | `getVersion()`
`void` | `setConnectString(java.lang.String connectString)` Set connectString.
`void` | `setJdbcDriver(java.lang.String jdbcDriver)` Set jdbcDriver.
`void` | `setVersion(int i)`

Methods inherited from class com.tonbeller.jpivot.olap.query.Memento
`getMdxQuery, getQuaxes, getQuaxToSort, getSortMode, getSortPosMembers, getTopBottomCount, isAxesSwapped, isSorting, isUseQuax, setAxesSwapped, setMdxQuery, setQuaxes, setQuaxToSort, setSorting, setSortMode, setSortPosMembers, setTopBottomCount, setUseQuax`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianMemento

    public MondrianMemento()

Method Detail

### getConnectString

    public java.lang.String getConnectString()

  Get connectString.

  Returns:
    connectString

### getJdbcDriver

    public java.lang.String getJdbcDriver()

  Get jdbcDriver.

  Returns:
    jdbcDriver

### setConnectString

    public void setConnectString(java.lang.String connectString)

  Set connectString.

  Parameters:
    `connectString` -

### setJdbcDriver

    public void setJdbcDriver(java.lang.String jdbcDriver)

  Set jdbcDriver.

  Parameters:
    `jdbcDriver` -

### getVersion

    public int getVersion()

  Specified by:
    `getVersion` in class `Memento`
  Returns:
    version

### setVersion

    public void setVersion(int i)

  Specified by:
    `setVersion` in class `Memento`
  Parameters:
    `i` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD